'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@vue-storefront/core');
var gql = require('graphql-tag');
var apolloLinkHttp = require('apollo-link-http');
var apolloLink = require('apollo-link');
var apolloLinkError = require('apollo-link-error');
var fetch = require('isomorphic-fetch');
var ApolloClient = require('apollo-client');
var apolloCacheInmemory = require('apollo-cache-inmemory');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var gql__default = /*#__PURE__*/_interopDefaultLegacy(gql);
var fetch__default = /*#__PURE__*/_interopDefaultLegacy(fetch);
var ApolloClient__default = /*#__PURE__*/_interopDefaultLegacy(ApolloClient);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __awaiter(thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
}

function __generator(thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var query$e = gql__default["default"](templateObject_1$12 || (templateObject_1$12 = __makeTemplateObject(["\n  query(\n    $search: String\n    $filter: CategoryFilterInput\n    $currentPage: Int\n    $pageSize: Int\n    $sort: CategorySortInput\n  ) {\n    categories(\n      search: $search\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      sort: $sort\n    ) {\n      categories {\n        id\n        name\n        slug\n        childs {\n          id\n          name\n          slug\n          childs {\n            id\n            name\n            slug\n          }\n        }\n        parent {\n          id\n          name\n          slug\n          parent {\n            id\n            name\n            slug\n            childs {\n              id\n              name\n              slug\n              childs {\n                id\n                name\n                slug\n              }\n            }\n          }\n        }\n      }\n    }\n  }\n"], ["\n  query(\n    $search: String\n    $filter: CategoryFilterInput\n    $currentPage: Int\n    $pageSize: Int\n    $sort: CategorySortInput\n  ) {\n    categories(\n      search: $search\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      sort: $sort\n    ) {\n      categories {\n        id\n        name\n        slug\n        childs {\n          id\n          name\n          slug\n          childs {\n            id\n            name\n            slug\n          }\n        }\n        parent {\n          id\n          name\n          slug\n          parent {\n            id\n            name\n            slug\n            childs {\n              id\n              name\n              slug\n              childs {\n                id\n                name\n                slug\n              }\n            }\n          }\n        }\n      }\n    }\n  }\n"])));
var templateObject_1$12;

function getCategory(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getCategory, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getCategory = context.extendQuery(customQuery, { getCategory: { query: query$e, variables: params } }).getCategory;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$11 || (templateObject_1$11 = __makeTemplateObject(["", ""], ["", ""])), getCategory.query),
                            variables: getCategory.variables,
                            fetchPolicy: 'no-cache'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$11;

var productFragment = "\n  id\n  firstVariant\n  smallImage\n  price\n  name\n  description\n  image\n  slug\n  sku\n  isInWishlist\n  status\n  categories {\n    id\n    name\n    slug\n    parent{\n      parent{\n        id\n      }\n    }\n  }\n  attributeValues {\n    id\n    name\n    displayType\n    priceExtra\n    attribute {\n      id\n      name\n    }\n    search\n  }\n";

var query$d = gql__default["default"](templateObject_1$10 || (templateObject_1$10 = __makeTemplateObject(["\n  query(\n    $filter: ProductFilterInput\n    $currentPage: Int\n    $pageSize: Int = 0\n    $search: String\n    $sort: ProductSortInput\n  ) {\n    products(\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      search: $search\n      sort: $sort\n    ) {\n      totalCount\n      attributeValues {\n        id\n        name\n        displayType\n        name\n        htmlColor\n        search\n        attribute{\n          id\n          name\n        }\n        \n      }\n      products {\n        ", "\n      }\n    }\n  }\n"], ["\n  query(\n    $filter: ProductFilterInput\n    $currentPage: Int\n    $pageSize: Int = 0\n    $search: String\n    $sort: ProductSortInput\n  ) {\n    products(\n      filter: $filter\n      currentPage: $currentPage\n      pageSize: $pageSize\n      search: $search\n      sort: $sort\n    ) {\n      totalCount\n      attributeValues {\n        id\n        name\n        displayType\n        name\n        htmlColor\n        search\n        attribute{\n          id\n          name\n        }\n        \n      }\n      products {\n        ", "\n      }\n    }\n  }\n"])), productFragment);
var templateObject_1$10;

function getProductTemplatesList(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getProductTemplatesList, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getProductTemplatesList = context.extendQuery(customQuery, { getProductTemplatesList: { query: query$d, variables: params } }).getProductTemplatesList;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$$ || (templateObject_1$$ = __makeTemplateObject(["", ""], ["", ""])), getProductTemplatesList.query),
                            variables: getProductTemplatesList.variables,
                            fetchPolicy: 'no-cache'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$$;

var query$c = gql__default["default"](templateObject_1$_ || (templateObject_1$_ = __makeTemplateObject(["\n  query ($id: Int){\n    product (id: $id){\n      ", "\n    }\n  }\n"], ["\n  query ($id: Int){\n    product (id: $id){\n      ", "\n    }\n  }\n"])), productFragment);
var templateObject_1$_;

function getProductTemplate(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getProductTemplate, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getProductTemplate = context.extendQuery(customQuery, { getProductTemplate: { query: query$c, variables: params } }).getProductTemplate;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$Z || (templateObject_1$Z = __makeTemplateObject(["", ""], ["", ""])), getProductTemplate.query),
                            variables: getProductTemplate.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$Z;

var query$b = gql__default["default"](templateObject_1$Y || (templateObject_1$Y = __makeTemplateObject(["\n  query($productTemplateId: Int, $combinationId: [Int]) {\n    productVariant(\n      productTemplateId: $productTemplateId\n      combinationId: $combinationId\n    ) {\n      product {\n        id\n        image\n        variantPrice\n        variantPriceAfterDiscount\n        variantHasDiscountedPrice\n      }\n      productTemplateId\n      displayName\n      price\n      listPrice\n      hasDiscountedPrice\n    }\n  }\n"], ["\n  query($productTemplateId: Int, $combinationId: [Int]) {\n    productVariant(\n      productTemplateId: $productTemplateId\n      combinationId: $combinationId\n    ) {\n      product {\n        id\n        image\n        variantPrice\n        variantPriceAfterDiscount\n        variantHasDiscountedPrice\n      }\n      productTemplateId\n      displayName\n      price\n      listPrice\n      hasDiscountedPrice\n    }\n  }\n"])));
var templateObject_1$Y;

function getRealProduct(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getRealProduct, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getRealProduct = context.extendQuery(customQuery, { getRealProduct: { query: query$b, variables: params } }).getRealProduct;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$X || (templateObject_1$X = __makeTemplateObject(["", ""], ["", ""])), getRealProduct.query),
                            variables: getRealProduct.variables,
                            fetchPolicy: 'no-cache'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$X;

var mutation$m = gql__default["default"](templateObject_1$W || (templateObject_1$W = __makeTemplateObject(["\n  mutation($id: Int!, $name: String, $email: String){\n    updateMyAccount(myaccount:{id:$id, name: $name, email: $email}){\n      id\n      name\n      street\n      street2\n      city\n      state\n      {\n        id\n      }\n      country\n      {\n        id\n      }\n      email\n      phone\n      } \n  }\n"], ["\n  mutation($id: Int!, $name: String, $email: String){\n    updateMyAccount(myaccount:{id:$id, name: $name, email: $email}){\n      id\n      name\n      street\n      street2\n      city\n      state\n      {\n        id\n      }\n      country\n      {\n        id\n      }\n      email\n      phone\n      } \n  }\n"])));
var templateObject_1$W;

function updateAccount(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, updateAccount, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    updateAccount = context.extendQuery(customQuery, { updateAccount: { mutation: mutation$m, variables: params } }).updateAccount;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$V || (templateObject_1$V = __makeTemplateObject(["", ""], ["", ""])), updateAccount.mutation),
                            variables: updateAccount.variables,
                            fetchPolicy: 'no-cache'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$V;

var partnerFragment = "\npartner{\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n";

var mutation$l = gql__default["default"](templateObject_1$U || (templateObject_1$U = __makeTemplateObject(["\n  mutation register($name: String!, $email: String!, $password: String!) {\n    register(name: $name, email: $email, password: $password) {\n      ", "\n    }\n  }\n"], ["\n  mutation register($name: String!, $email: String!, $password: String!) {\n    register(name: $name, email: $email, password: $password) {\n      ", "\n    }\n  }\n"])), partnerFragment);
var templateObject_1$U;

function signUpUser(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, signUpUser;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    signUpUser = context.extendQuery(customQuery, { signUpUser: { mutation: mutation$l, variables: params } }).signUpUser;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$T || (templateObject_1$T = __makeTemplateObject(["", ""], ["", ""])), signUpUser.mutation),
                            variables: signUpUser.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$T;

var mutation$k = gql__default["default"](templateObject_1$S || (templateObject_1$S = __makeTemplateObject(["\n  mutation($email: String!, $password: String!) {\n    login(email: $email, password: $password) {\n      ", "\n    }\n  }\n"], ["\n  mutation($email: String!, $password: String!) {\n    login(email: $email, password: $password) {\n      ", "\n    }\n  }\n"])), partnerFragment);
var templateObject_1$S;

function logInUser(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, logInUser;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    logInUser = context.extendQuery(customQuery, { logInUser: { mutation: mutation$k, variables: params } }).logInUser;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$R || (templateObject_1$R = __makeTemplateObject(["", ""], ["", ""])), logInUser.mutation),
                            variables: logInUser.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$R;

var mutation$j = gql__default["default"](templateObject_1$Q || (templateObject_1$Q = __makeTemplateObject(["\n  mutation {\n    logout\n  }\n"], ["\n  mutation {\n    logout\n  }\n"])));
var templateObject_1$Q;

function logOutUser(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.mutate({
                            errorPolicy: 'all',
                            mutation: mutation$j
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var query$a = gql__default["default"](templateObject_1$P || (templateObject_1$P = __makeTemplateObject(["\n  query {\n    ", "\n  }\n"], ["\n  query {\n    ", "\n  }\n"])), partnerFragment);
var templateObject_1$P;

function loadUser(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, loadUser;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    loadUser = context.extendQuery(customQuery, { loadUser: { query: query$a } }).loadUser;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$O || (templateObject_1$O = __makeTemplateObject(["", ""], ["", ""])), loadUser.query),
                            variables: loadUser.variables,
                            errorPolicy: 'all',
                            fetchPolicy: 'no-cache'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$O;

var mutation$i = gql__default["default"](templateObject_1$N || (templateObject_1$N = __makeTemplateObject(["\n  mutation($email: String!) {\n    resetPassword(email: $email) {\n      id\n      name\n      email\n    }\n  }\n"], ["\n  mutation($email: String!) {\n    resetPassword(email: $email) {\n      id\n      name\n      email\n    }\n  }\n"])));
var templateObject_1$N;

function sendResetPassword(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: mutation$i,
                            variables: params
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$h = gql__default["default"](templateObject_1$M || (templateObject_1$M = __makeTemplateObject(["\n  mutation($newPassword: String!, $token: String!) {\n    changePassword(newPassword: $newPassword, token: $token) {\n      id\n      name\n      email\n    }\n  }\n"], ["\n  mutation($newPassword: String!, $token: String!) {\n    changePassword(newPassword: $newPassword, token: $token) {\n      id\n      name\n      email\n    }\n  }\n"])));
var templateObject_1$M;

function changePassword(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, changePassword, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    changePassword = context.extendQuery(customQuery, { changePassword: { mutation: mutation$h, variables: params } }).changePassword;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$L || (templateObject_1$L = __makeTemplateObject(["", ""], ["", ""])), changePassword.mutation),
                            variables: changePassword.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$L;

var orderFragment = "\norder {\n  id\n  name\n  amountTotal\n  amountTax\n  amountDelivery\n  dateOrder\n  orderUrl\n  stage\n  websiteOrderLine {\n    id\n    name\n    product {\n      id\n      name\n      image\n      image\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  orderLines {\n    id\n    name\n    product {\n      id\n      name\n      image\n      image\n      displayName\n    }\n    quantity\n    priceTotal\n  }\n  partnerInvoice {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state {\n      id\n    }\n  }\n  partnerShipping {\n    id\n    name\n    street\n    city\n    phone\n    zip\n    country {\n      id\n    }\n    state { \n      id\n    }\n  }\n  shippingMethod{\n    id\n    name\n    price\n  }\n}\n";

var mutation$g = gql__default["default"](templateObject_1$K || (templateObject_1$K = __makeTemplateObject(["\n  mutation($products: [ProductInput]!){\n    cartAddMultipleItems(products: $products){\n      ", "\n    }\n  }"], ["\n  mutation($products: [ProductInput]!){\n    cartAddMultipleItems(products: $products){\n      ", "\n    }\n  }"])), orderFragment);
var templateObject_1$K;

function cartAddMultipleItems(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartAddMultipleItems, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartAddMultipleItems = context.extendQuery(customQuery, { cartAddMultipleItems: { mutation: mutation$g, variables: params } }).cartAddMultipleItems;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$J || (templateObject_1$J = __makeTemplateObject(["", ""], ["", ""])), cartAddMultipleItems.mutation),
                            variables: cartAddMultipleItems.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$J;

var mutation$f = gql__default["default"](templateObject_1$I || (templateObject_1$I = __makeTemplateObject(["\n  mutation($lineIds: [Int]!){\n    cartRemoveMultipleItems(lineIds: $lineIds){\n      ", "\n    }\n  }"], ["\n  mutation($lineIds: [Int]!){\n    cartRemoveMultipleItems(lineIds: $lineIds){\n      ", "\n    }\n  }"])), orderFragment);
var templateObject_1$I;

function cartRemoveMultipleItems(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartRemoveMultipleItems, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartRemoveMultipleItems = context.extendQuery(customQuery, { cartRemoveMultipleItems: { mutation: mutation$f, variables: params } }).cartRemoveMultipleItems;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$H || (templateObject_1$H = __makeTemplateObject(["", ""], ["", ""])), cartRemoveMultipleItems.mutation),
                            variables: cartRemoveMultipleItems.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$H;

var query$9 = gql__default["default"](templateObject_1$G || (templateObject_1$G = __makeTemplateObject(["\n  query {\n    cart {\n      ", "\n    }\n  }\n"], ["\n  query {\n    cart {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$G;

function cartLoad(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartLoad, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartLoad = context.extendQuery(customQuery, { cartLoad: { query: query$9, variables: {} } }).cartLoad;
                    return [4 /*yield*/, apolloClient.query({
                            fetchPolicy: 'no-cache',
                            query: gql__default["default"](templateObject_1$F || (templateObject_1$F = __makeTemplateObject(["", ""], ["", ""])), cartLoad.query)
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$F;

var mutation$e = gql__default["default"](templateObject_1$E || (templateObject_1$E = __makeTemplateObject(["\n  mutation($productId: Int!, $quantity: Int!) {\n    cartAddItem(productId: $productId, quantity: $quantity) {\n      ", "\n    }\n  }\n"], ["\n  mutation($productId: Int!, $quantity: Int!) {\n    cartAddItem(productId: $productId, quantity: $quantity) {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$E;

function cartAddItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartAddItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartAddItem = context.extendQuery(customQuery, { cartAddItem: { mutation: mutation$e, variables: params } }).cartAddItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$D || (templateObject_1$D = __makeTemplateObject(["", ""], ["", ""])), cartAddItem.mutation),
                            variables: cartAddItem.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$D;

var mutation$d = gql__default["default"](templateObject_1$C || (templateObject_1$C = __makeTemplateObject(["\n mutation($lineId: Int!){\n  cartRemoveItem(lineId: $lineId){\n    ", "\n  }\n}\n"], ["\n mutation($lineId: Int!){\n  cartRemoveItem(lineId: $lineId){\n    ", "\n  }\n}\n"])), orderFragment);
var templateObject_1$C;

function cartRemoveItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartRemoveItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartRemoveItem = context.extendQuery(customQuery, { cartRemoveItem: { mutation: mutation$d, variables: params } }).cartRemoveItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$B || (templateObject_1$B = __makeTemplateObject(["", ""], ["", ""])), cartRemoveItem.mutation),
                            variables: cartRemoveItem.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$B;

var mutation$c = gql__default["default"](templateObject_1$A || (templateObject_1$A = __makeTemplateObject(["\n  mutation($lineId: Int!, $quantity: Int!) {\n    cartUpdateItem(lineId: $lineId, quantity: $quantity) {\n      ", "\n    }\n  }\n"], ["\n  mutation($lineId: Int!, $quantity: Int!) {\n    cartUpdateItem(lineId: $lineId, quantity: $quantity) {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$A;

function cartUpdateItemQty(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, cartUpdateItemQty, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    cartUpdateItemQty = context.extendQuery(customQuery, { cartUpdateItemQty: { mutation: mutation$c, variables: params } }).cartUpdateItemQty;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$z || (templateObject_1$z = __makeTemplateObject(["", ""], ["", ""])), cartUpdateItemQty.mutation),
                            variables: cartUpdateItemQty.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$z;

var wishlistItemsFragment = "\nwishlistItems {\n    id\n    product {\n      id\n      name\n      description\n      image\n      price\n      isInWishlist\n      firstVariant\n      slug\n    }\n  }\n";

var query$8 = gql__default["default"](templateObject_1$y || (templateObject_1$y = __makeTemplateObject(["\n  query {\n    wishlistItems {\n      ", "\n    }\n  }\n"], ["\n  query {\n    wishlistItems {\n      ", "\n    }\n  }\n"])), wishlistItemsFragment);
var templateObject_1$y;

function wishlistLoad(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            fetchPolicy: 'no-cache',
                            query: query$8
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$b = gql__default["default"](templateObject_1$x || (templateObject_1$x = __makeTemplateObject(["\n  mutation($productId: Int!) {\n    wishlistAddItem(productId: $productId) {\n      ", "\n    }\n  }\n"], ["\n  mutation($productId: Int!) {\n    wishlistAddItem(productId: $productId) {\n      ", "\n    }\n  }\n"])), wishlistItemsFragment);
var templateObject_1$x;

function wishlistAddItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, wishlistAddItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    wishlistAddItem = context.extendQuery(customQuery, { wishlistAddItem: { mutation: mutation$b, variables: params } }).wishlistAddItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$w || (templateObject_1$w = __makeTemplateObject(["", ""], ["", ""])), wishlistAddItem.mutation),
                            variables: wishlistAddItem.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$w;

var mutation$a = gql__default["default"](templateObject_1$v || (templateObject_1$v = __makeTemplateObject(["\n  mutation($wishId: Int!){\n    wishlistRemoveItem(wishId: $wishId) {\n      ", "\n    }\n  }\n"], ["\n  mutation($wishId: Int!){\n    wishlistRemoveItem(wishId: $wishId) {\n      ", "\n    }\n  }\n"])), wishlistItemsFragment);
var templateObject_1$v;

function wishlistRemoveItem(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, wishlistRemoveItem, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    wishlistRemoveItem = context.extendQuery(customQuery, { wishlistRemoveItem: { mutation: mutation$a, variables: params } }).wishlistRemoveItem;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$u || (templateObject_1$u = __makeTemplateObject(["", ""], ["", ""])), wishlistRemoveItem.mutation),
                            variables: wishlistRemoveItem.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$u;

var query$7 = gql__default["default"](templateObject_1$t || (templateObject_1$t = __makeTemplateObject(["\n  query {\n    countries(pageSize:250) {\n      countries {\n        id\n        name\n        code\n      }\n    }\n  }\n"], ["\n  query {\n    countries(pageSize:250) {\n      countries {\n        id\n        name\n        code\n      }\n    }\n  }\n"])));
var templateObject_1$t;

function getCountries(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$7
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var query$6 = gql__default["default"](templateObject_1$s || (templateObject_1$s = __makeTemplateObject(["\n  query($id: Int) {\n    country(id: $id) {\n      states {\n        id\n        name\n      }\n    }\n  }\n"], ["\n  query($id: Int) {\n    country(id: $id) {\n      states {\n        id\n        name\n      }\n    }\n  }\n"])));
var templateObject_1$s;

function getCountryStates(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$6,
                            variables: params
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$9 = gql__default["default"](templateObject_1$r || (templateObject_1$r = __makeTemplateObject(["\nmutation($id: Int!, $type: AddressEnum!){\n  selectAddress(address:{ id: $id }, type: $type){\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation($id: Int!, $type: AddressEnum!){\n  selectAddress(address:{ id: $id }, type: $type){\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$r;

function setDefaultAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, setDefaultAddress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    setDefaultAddress = context.extendQuery(customQuery, { setDefaultAddress: { mutation: mutation$9, variables: params } }).setDefaultAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$q || (templateObject_1$q = __makeTemplateObject(["", ""], ["", ""])), setDefaultAddress.mutation),
                            variables: setDefaultAddress.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$q;

var mutation$8 = gql__default["default"](templateObject_1$p || (templateObject_1$p = __makeTemplateObject(["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Shipping, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Shipping, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$p;

function shippingAddAdress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, shippingAddAdress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    shippingAddAdress = context.extendQuery(customQuery, { shippingAddAdress: { mutation: mutation$8, variables: params } }).shippingAddAdress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$o || (templateObject_1$o = __makeTemplateObject(["", ""], ["", ""])), shippingAddAdress.mutation),
                            variables: shippingAddAdress.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$o;

var mutation$7 = gql__default["default"](templateObject_1$n || (templateObject_1$n = __makeTemplateObject(["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$n;

function shippingUpdateAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, shippingUpdateAddress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    shippingUpdateAddress = context.extendQuery(customQuery, { shippingUpdateAddress: { mutation: mutation$7, variables: params } }).shippingUpdateAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$m || (templateObject_1$m = __makeTemplateObject(["", ""], ["", ""])), shippingUpdateAddress.mutation),
                            variables: shippingUpdateAddress.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$m;

var query$5 = gql__default["default"](templateObject_1$l || (templateObject_1$l = __makeTemplateObject(["\n  query {\n    deliveryMethods {\n      id\n      name\n      price\n    }\n  }\n"], ["\n  query {\n    deliveryMethods {\n      id\n      name\n      price\n    }\n  }\n"])));
var templateObject_1$l;

function shippingGetDeliveryMethods(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$5
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var query$4 = gql__default["default"](templateObject_1$k || (templateObject_1$k = __makeTemplateObject(["\n  query {\n    addresses(filter: { addressType: Shipping }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"], ["\n  query {\n    addresses(filter: { addressType: Shipping }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"])));
var templateObject_1$k;

function getAddresses(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, getAddresses;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    getAddresses = context.extendQuery(customQuery, { getAddresses: { query: query$4 } }).getAddresses;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$j || (templateObject_1$j = __makeTemplateObject(["", ""], ["", ""])), getAddresses.query)
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$j;

var mutation$6 = gql__default["default"](templateObject_1$i || (templateObject_1$i = __makeTemplateObject(["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Billing, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation addAddress($name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  addAddress(type: Billing, address: {name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name \n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$i;

function billingAddAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, billingAddAddress;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    billingAddAddress = context.extendQuery(customQuery, { billingAddAddress: { mutation: mutation$6, variables: params } }).billingAddAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$h || (templateObject_1$h = __makeTemplateObject(["", ""], ["", ""])), billingAddAddress.mutation),
                            variables: billingAddAddress.variables
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$h;

var mutation$5 = gql__default["default"](templateObject_1$g || (templateObject_1$g = __makeTemplateObject(["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"], ["\nmutation updateAddress($id: Int!, $name: String!, $city: String!, $countryId: Int!, $phone: String!, $stateId: Int!, $street: String!, $zip: String!) {\n  updateAddress(address: {id: $id, name: $name, city: $city, countryId: $countryId, phone: $phone, stateId: $stateId, street: $street, zip: $zip}) {\n    id\n    name\n    street\n    street2\n    city\n    state\n    {\n      id\n    }\n    country\n    {\n      id\n    }\n    email\n    phone\n  }\n}"])));
var templateObject_1$g;

function billingUpdateAddress(context, billingAddressParams, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, billingAddress, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    billingAddress = context.extendQuery(customQuery, { billingAddress: { mutation: mutation$5, variables: billingAddressParams } }).billingAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$f || (templateObject_1$f = __makeTemplateObject(["", ""], ["", ""])), billingAddress.mutation),
                            variables: billingAddress.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$f;

var query$3 = gql__default["default"](templateObject_1$e || (templateObject_1$e = __makeTemplateObject(["\n  query {\n    addresses(filter: { addressType: Billing }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"], ["\n  query {\n    addresses(filter: { addressType: Billing }) {\n      id\n      name\n      city\n      street\n      street2\n      city\n      state {\n        id\n        name\n        code\n      }\n      zip\n      email\n      country {\n        id\n        name\n        code\n      }\n      phone\n      contacts {\n        name\n        phone\n      }\n    }\n  }\n"])));
var templateObject_1$e;

function billingGetAddress(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, billingGetAddress;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    billingGetAddress = context.extendQuery(customQuery, { billingGetAddress: { query: query$3 } }).billingGetAddress;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1$d || (templateObject_1$d = __makeTemplateObject(["", ""], ["", ""])), billingGetAddress.query)
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$d;

var mutation$4 = gql__default["default"](templateObject_1$c || (templateObject_1$c = __makeTemplateObject(["\n  mutation($id: Int!) {\n    deleteAddress(address: { id: $id })\n  }\n"], ["\n  mutation($id: Int!) {\n    deleteAddress(address: { id: $id })\n  }\n"])));
var templateObject_1$c;

function deleteAddress(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, deleteAddress;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    deleteAddress = context.extendQuery(customQuery, { deleteAddress: { mutation: mutation$4, variables: params } }).deleteAddress;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$b || (templateObject_1$b = __makeTemplateObject(["", ""], ["", ""])), deleteAddress.mutation),
                            variables: deleteAddress.variables
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1$b;

var query$2 = gql__default["default"](templateObject_1$a || (templateObject_1$a = __makeTemplateObject(["\n  query {\n    paymentAcquirers {\n      id\n      name\n      paymentIcons {\n        id\n        name\n        image\n      }\n    }\n  }\n"], ["\n  query {\n    paymentAcquirers {\n      id\n      name\n      paymentIcons {\n        id\n        name\n        image\n      }\n    }\n  }\n"])));
var templateObject_1$a;

function paymentLoadProviders(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$2
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$3 = gql__default["default"](templateObject_1$9 || (templateObject_1$9 = __makeTemplateObject(["\n  mutation($paymentAcquireId: Int!){\n    makePayment(paymentAcquireId:$paymentAcquireId){\n      form\n    }\n  } \n"], ["\n  mutation($paymentAcquireId: Int!){\n    makePayment(paymentAcquireId:$paymentAcquireId){\n      form\n    }\n  } \n"])));
var templateObject_1$9;

function paymentMakeExternalMutation(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: mutation$3,
                            variables: params
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var query$1 = gql__default["default"](templateObject_1$8 || (templateObject_1$8 = __makeTemplateObject(["\n  query {\n    paymentConfirmation {\n      ", "\n    }\n  }\n"], ["\n  query {\n    paymentConfirmation {\n      ", "\n    }\n  }\n"])), orderFragment);
var templateObject_1$8;

function paymentConfirmation(context, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    return [4 /*yield*/, apolloClient.query({
                            query: query$1
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}

var mutation$2 = gql__default["default"](templateObject_1$7 || (templateObject_1$7 = __makeTemplateObject(["\n  mutation($email: String){\n    newsletterSubscribe(email: $email){\n      subscribed\n    }\n  }"], ["\n  mutation($email: String){\n    newsletterSubscribe(email: $email){\n      subscribed\n    }\n  }"])));
var templateObject_1$7;

function subscribeNewsLetter(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, subscribeNewsLetter, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    subscribeNewsLetter = context.extendQuery(customQuery, { subscribeNewsLetter: { mutation: mutation$2, variables: params } }).subscribeNewsLetter;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$6 || (templateObject_1$6 = __makeTemplateObject(["", ""], ["", ""])), subscribeNewsLetter.mutation),
                            variables: subscribeNewsLetter.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$6;

var mutation$1 = gql__default["default"](templateObject_1$5 || (templateObject_1$5 = __makeTemplateObject(["\nmutation($shippingMethodId: Int!){\n  setShippingMethod(shippingMethodId: $shippingMethodId){\n    \torder{\n        id\n        name\n        shippingMethod{\n          id\n          name\n          price\n        }\n      }\n  }\n}\n"], ["\nmutation($shippingMethodId: Int!){\n  setShippingMethod(shippingMethodId: $shippingMethodId){\n    \torder{\n        id\n        name\n        shippingMethod{\n          id\n          name\n          price\n        }\n      }\n  }\n}\n"])));
var templateObject_1$5;

function setShippingMethod(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, setShippingMethod, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    setShippingMethod = context.extendQuery(customQuery, { setShippingMethod: { mutation: mutation$1, variables: params } }).setShippingMethod;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["", ""], ["", ""])), setShippingMethod.mutation),
                            variables: setShippingMethod.variables,
                            errorPolicy: 'all'
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$4;

var mutation = gql__default["default"](templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["\n  mutation($promo: String!){\n    applyCoupon(promo: $promo){\n      applied\n    }\n  }"], ["\n  mutation($promo: String!){\n    applyCoupon(promo: $promo){\n      applied\n    }\n  }"])));
var templateObject_1$3;

function applyCoupon(context, applyCouponParams, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, applyCoupon, response;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    applyCoupon = context.extendQuery(customQuery, { applyCoupon: { mutation: mutation, variables: applyCouponParams } }).applyCoupon;
                    return [4 /*yield*/, apolloClient.mutate({
                            mutation: gql__default["default"](templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["", ""], ["", ""])), applyCoupon.mutation),
                            variables: applyCoupon.variables
                        })];
                case 1:
                    response = _a.sent();
                    return [2 /*return*/, response];
            }
        });
    });
}
var templateObject_1$2;

var query = gql__default["default"](templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  query {\n  orders {\n    orders {\n      id\n      name\n      dateOrder\n      stage\n      amountUntaxed\n      amountTax\n      amountTotal\n      amountDelivery\n      partnerInvoice {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      partnerShipping {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      orderLines {\n        id\n        name\n        product {\n          id\n          name\n          image\n          image\n          displayName\n        }\n      }\n    }\n  }\n}\n\n"], ["\n  query {\n  orders {\n    orders {\n      id\n      name\n      dateOrder\n      stage\n      amountUntaxed\n      amountTax\n      amountTotal\n      amountDelivery\n      partnerInvoice {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      partnerShipping {\n        id\n        name\n        street\n        city\n        phone\n        zip\n        country {\n          id\n        }\n        state {\n          id\n        }\n      }\n      orderLines {\n        id\n        name\n        product {\n          id\n          name\n          image\n          image\n          displayName\n        }\n      }\n    }\n  }\n}\n\n"])));
var templateObject_1$1;

function ordersGet(context, params, customQuery) {
    return __awaiter(this, void 0, void 0, function () {
        var apolloClient, ordersGet;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    apolloClient = context.client.apollo;
                    ordersGet = context.extendQuery(customQuery, { ordersGet: { query: query, variables: params } }).ordersGet;
                    return [4 /*yield*/, apolloClient.query({
                            query: gql__default["default"](templateObject_1 || (templateObject_1 = __makeTemplateObject(["", ""], ["", ""])), ordersGet.query),
                            variables: ordersGet.variables,
                            fetchPolicy: 'no-cache'
                        })];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var templateObject_1;

var api = /*#__PURE__*/Object.freeze({
    __proto__: null,
    getCategory: getCategory,
    getProductTemplatesList: getProductTemplatesList,
    getProductTemplate: getProductTemplate,
    getRealProduct: getRealProduct,
    updateAccount: updateAccount,
    signUpUser: signUpUser,
    logInUser: logInUser,
    logOutUser: logOutUser,
    loadUser: loadUser,
    sendResetPassword: sendResetPassword,
    changePassword: changePassword,
    cartAddMultipleItems: cartAddMultipleItems,
    cartRemoveMultipleItems: cartRemoveMultipleItems,
    cartLoad: cartLoad,
    cartAddItem: cartAddItem,
    cartRemoveItem: cartRemoveItem,
    cartUpdateItemQty: cartUpdateItemQty,
    wishlistLoad: wishlistLoad,
    wishlistAddItem: wishlistAddItem,
    wishlistRemoveItem: wishlistRemoveItem,
    getCountries: getCountries,
    getCountryStates: getCountryStates,
    setDefaultAddress: setDefaultAddress,
    shippingAddAdress: shippingAddAdress,
    shippingUpdateAddress: shippingUpdateAddress,
    shippingGetDeliveryMethods: shippingGetDeliveryMethods,
    shippingGetAddress: getAddresses,
    billingAddAddress: billingAddAddress,
    billingUpdateAddress: billingUpdateAddress,
    billingGetAddress: billingGetAddress,
    deleteAddress: deleteAddress,
    paymentLoadProviders: paymentLoadProviders,
    paymentMakeExternal: paymentMakeExternalMutation,
    paymentConfirmation: paymentConfirmation,
    subscribeNewsLetter: subscribeNewsLetter,
    setShippingMethod: setShippingMethod,
    applyCoupon: applyCoupon,
    ordersGet: ordersGet
});

/* eslint-disable camelcase */
// eslint-disable-next-line @typescript-eslint/no-unused-vars
var createOddoLink = function (settings) {
    var errorLink = apolloLinkError.onError(function (_a) {
        var graphQLErrors = _a.graphQLErrors, networkError = _a.networkError;
        if (graphQLErrors)
            graphQLErrors.map(function (_a) {
                var message = _a.message, locations = _a.locations, path = _a.path;
                return console.warn("%c [GraphQL error]: Message: " + message + ", Location: " + locations.map(function (item) { return "line: " + item.line + " | column: " + item.column; }) + ").join(' '), Path: " + path, 'background: #222; color: #FFA07A');
            });
        if (networkError)
            console.warn("[Network error]: " + networkError);
    });
    var afterwareLink = new apolloLink.ApolloLink(function (operation, forward) {
        return forward(operation).map(function (response) {
            var context = operation.getContext();
            var authHeader = context.response.headers.get('set-cookie');
            if (response.data) {
                response.data.cookie = authHeader;
            }
            return response;
        });
    });
    var httpLink = apolloLinkHttp.createHttpLink({
        uri: settings.graphqlBaseUrl,
        credentials: 'include',
        fetch: fetch__default["default"],
        headers: {
            Cookie: settings.auth,
            'resquest-host': settings['resquest-host']
        }
    });
    var apolloLink$1 = apolloLink.ApolloLink.from([
        errorLink,
        afterwareLink.concat(httpLink)
    ]);
    return {
        apolloLink: apolloLink$1
    };
};

var onCreate = function (settings) {
    var config = settings;
    // if (config.payment?.providers.length === 0) {
    //   console.warn(
    //     '%c [Config error]: Message: You must set payment providers on middleware config',
    //     'background: #222; color: #FFA07A'
    //   );
    // }
    var apolloLink = createOddoLink(config).apolloLink;
    var apolloClient = new ApolloClient__default["default"](__assign({ link: apolloLink, cache: new apolloCacheInmemory.InMemoryCache() }, settings));
    return {
        config: config,
        client: {
            apollo: apolloClient
        }
    };
};
var onCreate$1 = onCreate;

var cookieExtension = {
    name: 'cookieExtension',
    hooks: function (req, res) {
        return {
            beforeCreate: function (_a) {
                var configuration = _a.configuration;
                return (__assign(__assign({}, configuration), { auth: req.headers.cookie, 'resquest-host': req.headers.host }));
            },
            beforeCall: function (_a) {
                _a.configuration; _a.callName; var args = _a.args;
                return args;
            },
            afterCall: function (_a) {
                _a.configuration; _a.callName; var response = _a.response;
                if (response.data.cookie) {
                    res.setHeader('Set-cookie', response.data.cookie);
                }
                return response;
            }
        };
    }
};
var cookieExtension$1 = cookieExtension;

/* eslint-disable @typescript-eslint/no-unused-vars */
var createApiClient = core.apiClientFactory({
    onCreate: onCreate$1,
    api: api,
    extensions: [cookieExtension$1]
}).createApiClient;

exports.createApiClient = createApiClient;
//# sourceMappingURL=index.js.map
